import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiTasksGetResultModel(
    _base.BaseAPIResultModel,
    _nested.TaskAPIResultNM
):
    pass


class CloudapiTasksGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        audit_guid: str,
    ) -> CloudapiTasksGetResultModel:
        ...
